LINUX.ORG.RU

Нужна грамотная консультация (up2date)


0

0

Ситуация: Есть сервер linux RedHat7.3, компания уже не поддерживает данный дистр обновлениями. Я сейчас использую openssl 0.9.6b-35.7 (кстати взятый из апдейтов asplinux), но уже вышел 0.9.7e. Получается ситуация не из приятных, выкачивать исходники, формировать rpm (опять таки где брать спеки?), тестировать... Openssl это для примера, таких пакетов надцать... Может проще перейти на новый дистр, который будет уделять должное внимание такой насущной проблеме? Не поймите меня привратно,что я не хочу тратить время на "закат солнца вручную", был бы один сервер - тогда еще как-то, но когда их много - а еще нужно работать работу, помимо того что сканировать по утрам bugtrack... Ведь дистросоздатели в том числе и для этого и предназначены ;) Вобщем небольшая кашица в голове получилась.Может действительно (ой как не хочется) посмотреть в сторону slackware, debian или freebsd ? Как вообще народ в таких ситуациях бывал? что посоветуют специалисты? Тема эта меня очень беспокоит. Всем спасибо за понимание и сочуствие ;)

anonymous

Re: Нужна грамотная консультация (up2date)

Если тебе нужны просто security fix без геморроя и долго то выбор не велик - или debian или коммерческие RedHat | SuSE | etc.

Остальные дистрибутивы поддерживают год-два, а потом надо переходить на новую версию. Можно выбирать дистрибутив в котором переход на новую версию делается просто, быстро и бех граблей. Рекомендую смотреть на apt дистрибутивы (debian, alt). ALT Master поддерживается 2 года, но обновить его элементарно.

MrKooll ★★★ ()

Re: Нужна грамотная консультация (up2date)

Хочу заметить что апгрейд RedHat 7.x на FC2 проходит без заморочек, в автоматическом режиме. Простой сервера около 2-х часов. Когда апгрейдил второй сервак простой уже был всего 40 минут. Загружался с USB остальное качалось по FTP с локальной машинки под Виндой...

Bloody ★★ ()

Re: Нужна грамотная консультация (up2date)

Можно посмотреть в сторону других дистрибутивов/OS, если хочется RH - можно поехать на их коммерческие версии. Можно переехать на Debian, там жизненный цикл версии дольше.

Что касается быстрых обновлений RH, то можно посмотреть в сторону KickStatr. Для апдейтов я его не использовал, но для инсталляций работает быстро и достаточно надежно.

ivlad ★★★★★ ()
Ответ на: Re: Нужна грамотная консультация (up2date) от ivlad

Re: Re: Нужна грамотная консультация (up2date)

Может я извращен apt, но мне быстрее сделать репозитарий, поставить apt и обновиться с пом-ю него.

KickStart все-таки под инсталляцию заточен.

MrKooll ★★★ ()

Re: Нужна грамотная консультация (up2date)

Cлышал какой-то сайт стал поддерживать RH 7.2 после того как сама RH отказалась поддерживать.

http://fedoralegacy.org/

на их сайте написано что 7.3 поддерживается

но я бы на gentoo перешел :)

fghj ★★★★★ ()

Re: Re: Re: Re: Re: Нужна грамотная консультация (up2date)

> Только мне надо MAC и поддержка СУБД.

Если тебе нужна гарантированная поддержка СУБД, то есть так, что бы Oracle тебе за запросы отвечал, тебе ее надо ставить на сертифицированной OS. Тогда круг обычно сужается до одного-двух дистрибутивов.

Какая СУБД? Oracle?

ivlad ★★★★★ ()
Ответ на: Re: Re: Нужна грамотная консультация (up2date) от MrKooll

Re: Re: Re: Нужна грамотная консультация (up2date)

>> но я бы на gentoo перешел :) > >А тестовый стенд у вас есть? И люди которые тестированием буду заниматься?

у меня серверы дублируются, а проверяю я сам перед "введением в эксплутацию".

вы хотите сказать что при использование rpm тестировать перед введением в эксплуатацию уже не надо?

хм..

интересная точка зрения

fghj ★★★★★ ()
Ответ на: Re: Re: Нужна грамотная консультация (up2date) от anonymous

Re: Re: Re: Нужна грамотная консультация (up2date)

>А в Gentoo обновления часто выходят?

обновления чего?

багфиксы на дыры?

тогда вопрос должен звучать немного в другой формулеровке, не как часто, а насколько своевременно.

fghj ★★★★★ ()

Re: Re: Re: Re: Нужна грамотная консультация (up2date)

> вы хотите сказать что при использование rpm тестировать перед введением в эксплуатацию уже не надо?

Надо. Но часть тестирования делает производитель дистрибутива.

MrKooll ★★★ ()

Re: Re: Re: Re: Re: Нужна грамотная консультация (up2date)

>> вы хотите сказать что при использование rpm тестировать перед введением в >эксплуатацию уже не надо?

>Надо. Но часть тестирования делает производитель дистрибутива.

и какую часть тестирования он проводит?

1)работают ли стартовые скрипты и им подобные вещи и 2)работают ли все программы с базовыми конфигами.

конфиги для программ все равно придется менять, а потом тестировать с новыми конфигами.

а насчет первого команда Gentoo проводит тестирование

fghj ★★★★★ ()

Re: Re: Re: Re: Re: Re: Нужна грамотная консультация (up2date)

Кроме этого тестируют нормально ли совместимы между собой компоненты дистрибутива.

А еще очень много от сборки и самой сборочной среды зависит.

Если использовать на Gentoo бинарные пакеты то зачем тогда вообще использовать gentoo? Есть более удобные средства в других дистрибутивах.

MrKooll ★★★ ()

Re: Нужна грамотная консультация (up2date)

> Как вообще народ в таких ситуациях бывал? что посоветуют специалисты? Тема эта меня очень беспокоит. Всем спасибо за понимание и сочуствие ;)

Для RedHat пока спасают обновления с fedoralegacy.us и других бесплатных свалок RPM.
Какая-то компания грозилась подобрать брошенный редхатом флаг и продолжить поддерживать (за деньги) старые версии редхатовских дистрибутивов.
Ещё вариант - переход на коммерческий дистрибутив с более длительным сроком обновлений (RedHat EL).

С дистрибутивами, делающими обновления через исходники из CVS, лучше не связываться. Иначе в один прекрасный момент можешь получить неработающий сервер. Прецеденты имеются.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.